View Issue Details

IDProjectCategoryView StatusLast Update
0030078LazarusIDEpublic2018-07-17 00:10
ReporterlinuxfanAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.6Product Build 
Target VersionFixed in Version1.7 (SVN) 
Summary0030078: Textual description (and translations too perhaps) of editor bookmarks could be more coherent
DescriptionThe IDE has numerous functions related to bookmarks in code editor (set, toggle, jump...). The textual description contains "Bookmark" for some of the functions (set and jump), and a different word "Marker" for other ones (toggle).

It could be not very important but, going to options/keyboard mapping, and filtering for "bookmark", the toggle functions do not show up. This leaded me to think that there was no way to delete a single bookmark.
Steps To ReproduceIn Lazarus IDE, go to menu item Tools/Options then click Key Mapping, and type "bookmark" in the filter field at the top. Functions to toggle bookmarks will not show up.
TagsNo tags attached.
Fixed in Revision
LazTarget1.8
Widgetset
Attached Files
  • consistent-names-for-markers.diff (3,236 bytes)
    --- lazarusidestrconsts-old.pas	Fri Apr 29 17:27:31 2016
    +++ lazarusidestrconsts-new.pas	Sat Apr 30 05:29:25 2016
    @@ -2971,39 +2971,39 @@
       srkmecClearAllBookmark      = 'Clear all Bookmarks';
       srkmecPrevBookmark          = 'Previous Bookmark';
       srkmecNextBookmark          = 'Next Bookmark';
    -  lisKMGoToMarker0 = 'Go to marker 0';
    -  lisKMGoToMarker1 = 'Go to marker 1';
    -  lisKMGoToMarker2 = 'Go to marker 2';
    -  lisKMGoToMarker3 = 'Go to marker 3';
    -  lisKMGoToMarker4 = 'Go to marker 4';
    -  lisKMGoToMarker5 = 'Go to marker 5';
    -  lisKMGoToMarker6 = 'Go to marker 6';
    -  lisKMGoToMarker7 = 'Go to marker 7';
    -  lisKMGoToMarker8 = 'Go to marker 8';
    -  lisKMGoToMarker9 = 'Go to marker 9';
    -  lisKMSetMarker0 = 'Set marker 0';
    -  lisKMSetMarker1 = 'Set marker 1';
    -  lisKMSetMarker2 = 'Set marker 2';
    -  lisKMSetMarker3 = 'Set marker 3';
    -  lisKMSetMarker4 = 'Set marker 4';
    -  lisKMSetMarker5 = 'Set marker 5';
    -  lisKMSetMarker6 = 'Set marker 6';
    -  lisKMSetMarker7 = 'Set marker 7';
    -  lisKMSetMarker8 = 'Set marker 8';
    -  lisKMSetMarker9 = 'Set marker 9';
    -  lisKMToggleMarker0 = 'Toggle marker 0';
    -  lisKMToggleMarker1 = 'Toggle marker 1';
    -  lisKMToggleMarker2 = 'Toggle marker 2';
    -  lisKMToggleMarker3 = 'Toggle marker 3';
    -  lisKMToggleMarker4 = 'Toggle marker 4';
    -  lisKMToggleMarker5 = 'Toggle marker 5';
    -  lisKMToggleMarker6 = 'Toggle marker 6';
    -  lisKMToggleMarker7 = 'Toggle marker 7';
    -  lisKMToggleMarker8 = 'Toggle marker 8';
    -  lisKMToggleMarker9 = 'Toggle marker 9';
    -  srkmecGotoMarker            = 'Go to Marker %d';
    -  srkmecSetMarker             = 'Set Marker %d';
    -  srkmecToggleMarker          = 'Toggle Marker %d';
    +  lisKMGoToMarker0 = 'Go to bookmark 0';
    +  lisKMGoToMarker1 = 'Go to bookmark 1';
    +  lisKMGoToMarker2 = 'Go to bookmark 2';
    +  lisKMGoToMarker3 = 'Go to bookmark 3';
    +  lisKMGoToMarker4 = 'Go to bookmark 4';
    +  lisKMGoToMarker5 = 'Go to bookmark 5';
    +  lisKMGoToMarker6 = 'Go to bookmark 6';
    +  lisKMGoToMarker7 = 'Go to bookmark 7';
    +  lisKMGoToMarker8 = 'Go to bookmark 8';
    +  lisKMGoToMarker9 = 'Go to bookmark 9';
    +  lisKMSetMarker0 = 'Set bookmark 0';
    +  lisKMSetMarker1 = 'Set bookmark 1';
    +  lisKMSetMarker2 = 'Set bookmark 2';
    +  lisKMSetMarker3 = 'Set bookmark 3';
    +  lisKMSetMarker4 = 'Set bookmark 4';
    +  lisKMSetMarker5 = 'Set bookmark 5';
    +  lisKMSetMarker6 = 'Set bookmark 6';
    +  lisKMSetMarker7 = 'Set bookmark 7';
    +  lisKMSetMarker8 = 'Set bookmark 8';
    +  lisKMSetMarker9 = 'Set bookmark 9';
    +  lisKMToggleMarker0 = 'Toggle bookmark 0';
    +  lisKMToggleMarker1 = 'Toggle bookmark 1';
    +  lisKMToggleMarker2 = 'Toggle bookmark 2';
    +  lisKMToggleMarker3 = 'Toggle bookmark 3';
    +  lisKMToggleMarker4 = 'Toggle bookmark 4';
    +  lisKMToggleMarker5 = 'Toggle bookmark 5';
    +  lisKMToggleMarker6 = 'Toggle bookmark 6';
    +  lisKMToggleMarker7 = 'Toggle bookmark 7';
    +  lisKMToggleMarker8 = 'Toggle bookmark 8';
    +  lisKMToggleMarker9 = 'Toggle bookmark 9';
    +  srkmecGotoMarker            = 'Go to bookmark %d';
    +  srkmecSetMarker             = 'Set bookmark %d';
    +  srkmecToggleMarker          = 'Toggle bookmark %d';
     
       // sourcenotebook
       lisKMToggleBetweenUnitAndForm = 'Toggle between Unit and Form';
    

Activities

Juha Manninen

2016-04-29 13:10

developer   ~0092291

Can you please provide a patch to fix the texts.

linuxfan

2016-04-30 07:54

reporter  

consistent-names-for-markers.diff (3,236 bytes)
--- lazarusidestrconsts-old.pas	Fri Apr 29 17:27:31 2016
+++ lazarusidestrconsts-new.pas	Sat Apr 30 05:29:25 2016
@@ -2971,39 +2971,39 @@
   srkmecClearAllBookmark      = 'Clear all Bookmarks';
   srkmecPrevBookmark          = 'Previous Bookmark';
   srkmecNextBookmark          = 'Next Bookmark';
-  lisKMGoToMarker0 = 'Go to marker 0';
-  lisKMGoToMarker1 = 'Go to marker 1';
-  lisKMGoToMarker2 = 'Go to marker 2';
-  lisKMGoToMarker3 = 'Go to marker 3';
-  lisKMGoToMarker4 = 'Go to marker 4';
-  lisKMGoToMarker5 = 'Go to marker 5';
-  lisKMGoToMarker6 = 'Go to marker 6';
-  lisKMGoToMarker7 = 'Go to marker 7';
-  lisKMGoToMarker8 = 'Go to marker 8';
-  lisKMGoToMarker9 = 'Go to marker 9';
-  lisKMSetMarker0 = 'Set marker 0';
-  lisKMSetMarker1 = 'Set marker 1';
-  lisKMSetMarker2 = 'Set marker 2';
-  lisKMSetMarker3 = 'Set marker 3';
-  lisKMSetMarker4 = 'Set marker 4';
-  lisKMSetMarker5 = 'Set marker 5';
-  lisKMSetMarker6 = 'Set marker 6';
-  lisKMSetMarker7 = 'Set marker 7';
-  lisKMSetMarker8 = 'Set marker 8';
-  lisKMSetMarker9 = 'Set marker 9';
-  lisKMToggleMarker0 = 'Toggle marker 0';
-  lisKMToggleMarker1 = 'Toggle marker 1';
-  lisKMToggleMarker2 = 'Toggle marker 2';
-  lisKMToggleMarker3 = 'Toggle marker 3';
-  lisKMToggleMarker4 = 'Toggle marker 4';
-  lisKMToggleMarker5 = 'Toggle marker 5';
-  lisKMToggleMarker6 = 'Toggle marker 6';
-  lisKMToggleMarker7 = 'Toggle marker 7';
-  lisKMToggleMarker8 = 'Toggle marker 8';
-  lisKMToggleMarker9 = 'Toggle marker 9';
-  srkmecGotoMarker            = 'Go to Marker %d';
-  srkmecSetMarker             = 'Set Marker %d';
-  srkmecToggleMarker          = 'Toggle Marker %d';
+  lisKMGoToMarker0 = 'Go to bookmark 0';
+  lisKMGoToMarker1 = 'Go to bookmark 1';
+  lisKMGoToMarker2 = 'Go to bookmark 2';
+  lisKMGoToMarker3 = 'Go to bookmark 3';
+  lisKMGoToMarker4 = 'Go to bookmark 4';
+  lisKMGoToMarker5 = 'Go to bookmark 5';
+  lisKMGoToMarker6 = 'Go to bookmark 6';
+  lisKMGoToMarker7 = 'Go to bookmark 7';
+  lisKMGoToMarker8 = 'Go to bookmark 8';
+  lisKMGoToMarker9 = 'Go to bookmark 9';
+  lisKMSetMarker0 = 'Set bookmark 0';
+  lisKMSetMarker1 = 'Set bookmark 1';
+  lisKMSetMarker2 = 'Set bookmark 2';
+  lisKMSetMarker3 = 'Set bookmark 3';
+  lisKMSetMarker4 = 'Set bookmark 4';
+  lisKMSetMarker5 = 'Set bookmark 5';
+  lisKMSetMarker6 = 'Set bookmark 6';
+  lisKMSetMarker7 = 'Set bookmark 7';
+  lisKMSetMarker8 = 'Set bookmark 8';
+  lisKMSetMarker9 = 'Set bookmark 9';
+  lisKMToggleMarker0 = 'Toggle bookmark 0';
+  lisKMToggleMarker1 = 'Toggle bookmark 1';
+  lisKMToggleMarker2 = 'Toggle bookmark 2';
+  lisKMToggleMarker3 = 'Toggle bookmark 3';
+  lisKMToggleMarker4 = 'Toggle bookmark 4';
+  lisKMToggleMarker5 = 'Toggle bookmark 5';
+  lisKMToggleMarker6 = 'Toggle bookmark 6';
+  lisKMToggleMarker7 = 'Toggle bookmark 7';
+  lisKMToggleMarker8 = 'Toggle bookmark 8';
+  lisKMToggleMarker9 = 'Toggle bookmark 9';
+  srkmecGotoMarker            = 'Go to bookmark %d';
+  srkmecSetMarker             = 'Set bookmark %d';
+  srkmecToggleMarker          = 'Toggle bookmark %d';
 
   // sourcenotebook
   lisKMToggleBetweenUnitAndForm = 'Toggle between Unit and Form';

linuxfan

2016-04-30 08:16

reporter   ~0092301

I do not have svn or git, for now. So I downloaded ide/lazarusidestrconsts.pas from svn/trunk, applied changes, and made a "diff -Naur ... ...". Hope this is ok, then I will try to install svn or git in some way.

While we are at it: I thought about the whole thing of bookmarks. I have a proposal that I could *try* to implement if accepted. The ratio is that there are two kinds of bookmarks: "precise" ones you set, probably in a uniform manner (for example, marker 0 always used to jump to uses clause), and unprecise/free ones you set without worrying about their number. Those two kinds are both good, the former to jump to a well known place, the latter to browse quickly in (many?) points of interest. In the forum I've also seen a user complaining that 10 bookmarks are too little.

The proposal is this. Have the following commands:

Set bookmark 0..9
Jump to bookmark 0..9
Toggle bookmark
Goto next bookmark
Goto prev bookmark
Clear bookmarks of current file
Clear bookmarks in all files

In other words, "Set free bookmark" and "Toggle bookmark 0..9" are gone, merged in the single command "Toggle bookmark". This command behaves differently than before: if a bookmark is in place, delete it; otherwise set a bookmark with number >9. I think this paradigm could keep happy anyone.

Juha Manninen

2016-04-30 11:19

developer   ~0092310

The patch could be applied after removing the "-old" and "-new" parts of file names at the beginning.
I applied it in r52262. I guess it is ok with Martin, too.

Martin however should comment on the unprecise bookmark proposition. To me it sounds a little confusing.

linuxfan

2016-04-30 16:32

reporter   ~0092315

@Juha: thank you for manipulating the patch.

About the "unprecise" bookmarks, may be I used the wrong term - let's call them "unnumbered": 1. they allow for more than 10 bookmarks; 2. you can delete any bookmark using always the same keystroke (less confusing); 3. you can add a bookmark without worrying about its number (less confusing); 4. if you want to set a numbered bookmark, you still can; 5. you can still jump to a numbered bookmark, as before - but you can also neglect the whole numbering system and use only 3 commands: toggle, jump next, jump previous.

I find the proposal less confusing or, at least, more comfortable for someone (me, for example). Instead, I found redundant and/or confusing the presence now of both "Set bookmark X" and "Toggle bookmark X" - unless one wants to set 2 or more bookmarks on the same line (?), but this is still possible in the new proposal.

Sorry for the long post, regards,
linuxfan

Martin Friebe

2016-05-07 18:21

manager   ~0092432

I also changed the category description.

I moved the feature request to an issue of its own. See 0030106

Issue History

Date Modified Username Field Change
2016-04-29 09:22 linuxfan New Issue
2016-04-29 13:10 Juha Manninen Note Added: 0092291
2016-04-30 07:54 linuxfan File Added: consistent-names-for-markers.diff
2016-04-30 08:16 linuxfan Note Added: 0092301
2016-04-30 11:19 Juha Manninen Note Added: 0092310
2016-04-30 16:32 linuxfan Note Added: 0092315
2016-05-07 18:21 Martin Friebe LazTarget => 1.8
2016-05-07 18:21 Martin Friebe Note Added: 0092432
2016-05-07 18:21 Martin Friebe Status new => resolved
2016-05-07 18:21 Martin Friebe Fixed in Version => 1.7 (SVN)
2016-05-07 18:21 Martin Friebe Resolution open => fixed
2016-05-07 18:21 Martin Friebe Assigned To => Martin Friebe